RPC_GSS_QOP_TO_NUM(3)

NAME
rpc_gss_qop_to_num - Convert a Quality of Protection name to number

SYNOPSIS
#include <rpc/rpcsec_gss.h>
bool_t
rpc_gss_qop_to_num(const char *qop, const char *mech, u_int *num_ret);

DESCRIPTION
This function returns the numeric QOP value associated with the GSS_API QOP "qop" and mechanism "mech."

PARAMETERS

qop The name of Quality of Protection associated with the GSS_API mechanism "mech". "GSS_C_QOP_DEFAULT" is currently the only supported QOP.

mech
    The name of a GSS_API mechanism. "kerberos_v5" is currently the only supported mechanism.

number_ret
    Buffer in which to place the returned QOP number

RETURN VALUES
If the QOP and mechanism names are recognized, TRUE is returned. The corresponding QOP number is returned in *num_ret. Otherwise FALSE is returned and is left untouched.

AVAILABILITY
The rpc_gss_qop_to_num() function is part of libtirpc.

SEE ALSO
rpc(3), gssapi(3), rpcsec_gss(3)

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.